> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dojah.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate BVN

> This endpoint allows you to Lookup BVN and get detailed information on the BVN Identity

<ParamField header="AppId" type="string" required>
  Application ID from dashboard
</ParamField>

#### Query parameter

<ParamField query="bvn" type="string" required>
  A valid Bank Verification Number (BVN)
</ParamField>

<ParamField query="first_name" type="string" required>
  First name associated with the BVN
</ParamField>

<ParamField query="last_name" type="string" required>
  Last name associated with the BVN
</ParamField>

<ParamField query="dob" type="string" required>
  Date of birth in YYYY-MM-DD format
</ParamField>

#### RESPONSES

<ResponseField name="200" type="json">
  json
</ResponseField>

<ResponseField name="400" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="401" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
    "entity": {
      "bvn": {
        "value": "2*****48250",
        "status": true
      },
      "first_name": {
        "confidence_value": 100,
        "status": true
      },
      "date_of_birth": {
        "status": true
      }
    }
  }
  ```

  ```json 400 theme={null}
  {
    "error": "Invalid request parameters"
  }
  ```

  ```json 401 theme={null}
  {
    "error": "App Couldn't be Validated"
  }
  ```
</ResponseExample>
